#include <iostream>
//#include "metrics.h"
#include "metrics_template.h"

using namespace Metrics;

int main(){

	//	EuclideanDistance d;
	
	typedef boost::numeric::ublas::vector<double> vec;

	Distance<EuclideanDistance<vec> > euclidean;
	Distance<CosineDistance<vec> > cosine;


	vec p1(3);	vec p2(3);
	
	for (unsigned i = 0; i < p1.size (); ++ i)
        p1 (i) =  p2(i) = (double) i;

	std::cerr << "distance=" << euclidean.distance(p1, p2);
	std::cerr << "distance=" << cosine.distance(p1, p2);

}